Subject: Re: [bug#72582] [PATCH 0/2] gnu: racket: Update to 8.14.

From: Christopher Baines <[email-masked]>
Date: Thu, 22 Aug 2024 12:47:03 +0100

Philip McGrath <[email-masked]> writes:

> Hi,
>
> The first patch here updates Racket to 8.14.
>
> Efraim, the second patch is the reason I'm CC'ing you in particular: I hadn't
> noticed your commit 0c96f7932de50c81f4b4714f287520699107c8bb until now. The
> native trv64le backend is definitely supported for riscv64-linux (it is
> working in the Debian packaging, for example [1]), so whatever problem you
> encountered is almost certainly a bug either in the Guix packaging or in some
> unusual pathway of Racket's build scripts that we're excercising. Do you have
> any details about the error you got? Does it still happen with the proposed
> revert? Unfortunately I don't have riscv64 hardware myself.
>
> Thanks,
> Philip
>
> [1]: https://buildd.debian.org/status/fetch.php?pkg=racket&arch=riscv64&ver=8.13%2Bdfsg1-2&stamp=1718018079&raw=0
>
> Philip McGrath (2):
>   gnu: racket: Update to 8.14.
>   Revert "gnu: chez-scheme-for-racket: Fix building on riscv64-linux."
>
>  gnu/packages/chez.scm   |  7 +++----
>  gnu/packages/racket.scm | 32 ++++++++++++++++----------------
>  2 files changed, 19 insertions(+), 20 deletions(-)
>
>
> base-commit: de714bcb46d61922e0efc10783ea23fb0202f583

I've gone ahead and pushed these patches as
14e3b08f0012269984b26729f476a7cd1c1ec3bc. The build farm is slowly
catching up with riscv64-linux, so hopefully we'll be able to test
things more systematically soon.

Thanks,

Chris